Subject: Rebasing kvm/next (was Re: linux-next: manual merge of the kvm tree with Linus' tree)

From: Paolo Bonzini <[email-masked]>
Date: Mon, 6 Aug 2018 17:55:29 +0200

On 06/08/2018 07:21, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the kvm tree got a conflict in:
> 
>   arch/x86/kvm/vmx.c
> 
> between a series of commits in Linus' tree and a series of commits in
> the kvm tree.
> 
> I have no idea how to fix all this up, so I just dropped all the changes
> from Linus' tree (all those commits only touched this file).  Please do
> this merge your self or provide me (and Linus) with the necessary
> resolution.

The conflicts are indeed very nasty, so I'm going to rebase the top of
kvm/next and insert a merge from Linus's tree (4.18-rc6 to be precise).

The reason is that some changes were split between 4.18 and 4.19, and
therefore there are conflicts between bugfixes and new development.
They should have been handled by merging kvm/master into kvm/next, but
it's too late for that.

Paolo